
Redmine - Patch #2607

Avatars display in forums

2009-01-28 06:55 - Brad Beattie

Status: Closed Start date: 2009-01-28

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 90%

Category: Forums Estimated time: 0.00 hour

Target version:    

Description

Not sure what format you want your patches in, so I'll just include this here.

app/views/messages/show.rhtml from release 0.8.0, between lines 32 and 33

<%= avatar(message.user, :size => "32") %>

Related issues:

Related to Redmine - Feature #4468: Show gravatar images in forum view Closed 2009-12-22

History

#1 - 2009-01-29 22:30 - Brad Beattie

Kay, just went and tested this idea out. Two changes.

message.user didn't work, but message.author does. Change app/views/messages/show.rhtml between lines 32 and 33:

<%= avatar(message.author, :size => "32") %>

 The avatars need to float left. Include .message img.gravatar in public/stylesheets/application.css on line 645

#history img.gravatar,

.message img.gravatar {

#2 - 2009-01-29 22:34 - Brad Beattie

Hrm. On one-line posts, this can cause the subsequent message h4 to indent incorrectly.

#3 - 2009-01-29 22:38 - Brad Beattie

Brad Beattie wrote:

Hrm. On one-line posts, this can cause the subsequent message h4 to indent incorrectly.

 Well, clear: left is certainly an option, but that would require the contextual div to be included in the message div. That makes sense as that's how

journal divs are working now and consistency is awesome like that.

#4 - 2009-01-29 22:50 - Brad Beattie

- File application.css added

- File show.rhtml added

#5 - 2009-01-29 22:50 - Brad Beattie

- Assignee set to Jean-Philippe Lang

- % Done changed from 0 to 90

Okay, done. I just need someone to review it and integrate it if appropriate.

#6 - 2009-01-29 22:54 - Brad Beattie

- File application.css added

Minor clear: left fix.
#7 - 2009-01-31 14:37 - Jean-Philippe Lang

Brad, you should submit your changes using a single patch file.

It's much more easy to review and apply.

You can generate a patch file using svn diff command.

#8 - 2009-02-05 07:55 - Brad Beattie

- File avatars.patch added

Right you are, good sir. When I made this ticket I was still getting into the swing of things.

#9 - 2010-02-25 06:15 - Oshyan Greene

Is this planned for inclusion in a future version? The forums are a bit hard to read at the moment without visual poster identity context. This would help

a lot. Thanks!

#10 - 2010-02-25 07:55 - Felix Schäfer

- Status changed from New to Closed

As far as I can tell, this is a dupe of #4468, which has been fixed in 0.9.0.

Files

application.css 22.3 KB 2009-01-29 Brad Beattie

show.rhtml 3.2 KB 2009-01-29 Brad Beattie

application.css 22.4 KB 2009-01-29 Brad Beattie

avatars.patch 1.58 KB 2009-02-05 Brad Beattie
